/**
 *  Copyright © 2025, Luis Andrés Lange <https://javacomm.net>
 *
 *  Previously released under Apache License 2.0; now licensed under MPL 2.0.
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 *  In short:
 *  - This file may be used, modified, and distributed under MPL 2.0 only.
 *  - It may NOT be relicensed under GPL, LGPL, AGPL, or any other Secondary License.
 *
 *  Rationale:
 *  - Ensures that the code remains MPL-2.0.
 *  - Avoids legal conflicts with GPL-licensed libraries (e.g., VideoLAN).
 *  - Maximizes usability for commercial and security-critical applications.
 *
 */
package net.javacomm.protocol;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;



public class CONFERENCEAUDIO extends MESSAGE {

  public final static String USERID = "USERID";
  public final static String TARGET = "TARGET";
  public final static String CONTENT = "CONTENT";
  public final static String STREAM_ID = "STREAM_ID";

  private String userid; // der Absender
  private String[] receiverSessions; // session empfänger
  private byte[] content; // inhalt ist base64 kodiert
  private String streamId;

  public CONFERENCEAUDIO() {
    super();
  }



  public byte[] getContent() {
    return content;
  }



  /**
   * Alle Empfängersessions.
   * 
   * @return alle Sessions
   */
  public String[] getReceiverSessions() {
    return receiverSessions;
  }



  public String getStreamId() {
    return streamId;
  }



  /**
   * Wer hat Nachricht gesendet?
   * 
   * @return dieser Anwender
   */
  public String getUserid() {
    return userid;
  }



  public void setContent(byte[] content) {
    this.content = content;
  }



  /**
   * Der Audiostream wird an diese Empfänger gesendet.
   * 
   * @param receiverSessions
   *                         alle Empfängersessions
   */
  public void setReceiverSessions(String[] receiverSessions) {
    this.receiverSessions = receiverSessions;
  }



  public void setStreamId(String streamId) {
    this.streamId = streamId;
  }



  /**
   * Der Absender.
   * 
   * @param userid
   *               dieser Anwender
   */
  public void setUserid(String userid) {
    this.userid = userid;
  }



  @Override
  public String toString() {
    GsonBuilder builder = new GsonBuilder();
    Gson gson = builder.create();
    return gson.toJson(this);
  }
}
